org.apache.ignite.cache

## Class QueryEntityPatch

- java.lang.Object
- - org.apache.ignite.cache.QueryEntityPatch

-     public class QueryEntityPatch
      extends Object

  Query entity patch which contain `SchemaAbstractOperation` operations for changing query entity. This patch can only add properties to entity and can't remove them. Other words, the patch will contain only add operations (e.g.: `SchemaAlterTableAddColumnOperation`, `SchemaIndexCreateOperation` ) and not remove ones. It contain only add operation because at the moment we don't have history of schema operations and by current state we can't understand some property was already deleted or it has not been added yet.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static QueryEntityPatch` | `conflict(String conflicts)` Builder method for patch with conflicts.
    `static QueryEntityPatch` | `empty()` Builder method for empty patch.
    `String` | `getConflictsMessage()`
    `Collection<org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractOperation>` | `getPatchOperations()`
    `boolean` | `hasConflict()` Check for conflict in this patch.
    `boolean` | `isEmpty()`
    `static QueryEntityPatch` | `patch(Collection<org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractOperation> patchOperations)` Builder method for patch with operations.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### conflict

          public static QueryEntityPatch conflict(String conflicts)

      Builder method for patch with conflicts.
      Parameters:
        `conflicts` - Conflicts.
      Returns:
        Query entity patch with conflicts.

    - #### empty

          public static QueryEntityPatch empty()

      Builder method for empty patch.
      Returns:
        Query entity patch.

    - #### patch

          public static QueryEntityPatch patch(Collection<org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractOperation> patchOperations)

      Builder method for patch with operations.
      Parameters:
        `patchOperations` - Operations for modification.
      Returns:
        Query entity patch which contain `SchemaAbstractOperation` operations for changing query entity.

    - #### hasConflict

          public boolean hasConflict()

      Check for conflict in this patch.
      Returns:
        `true` if patch has conflict.

    - #### isEmpty

          public boolean isEmpty()

      Returns:
        `true` if patch is empty and can't be applying.

    - #### getConflictsMessage

          public String getConflictsMessage()

      Returns:
        Conflicts.

    - #### getPatchOperations

          public Collection<org.apache.ignite.internal.processors.query.schema.operation.SchemaAbstractOperation> getPatchOperations()

      Returns:
        Patch operations for applying.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023